#
# spec file for package webcamoid


Name:           webcamoid
Version:        9.0.0
Release:        %mkrel 1
Summary:        Webcam plasmoid for KDE 5
License:        GPL-3.0+
Group:          Video
Url:            https://webcamoid.github.io/
Source0:         %{name}-%{version}.tar.xz
Source1:        %{name}.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:	cmake
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(vlc-plugin)
BuildRequires: perl-Text-Markdown
BuildRequires: frei0r-plugins-devel
BuildRequires: lib64qimageblitz5-devel
BuildRequires: v4l2loopback-utils
BuildRequires: guvcview-qt5
BuildRequires: kirigami-devel
BuildRequires: qbs

Suggests: dkms-akvcam
Suggests: v4l2loopback-utils
Requires: frei0r-plugins
Requires: qtdeclarative5
Requires: qtav
Requires: qtmultimedia5
Requires: lib64qt5multimediaquick5
Requires: qtgraphicaleffects5
Requires: kirigami
Requires: qtquickcontrols25
Requires: qtquickcontrols5


%description
Advice for current users on this release:
please remove all virtual cameras and create a new one.

Webcam plasmoid for KDE desktop environment.

Features:
* Take pictures with the webcam.
* Record videos.
* Manages multiple webcams.
* Play/Stop capture, this saves resources while the plasmoid is not in use.
* Written in C++.
* 100% Qt based software, for KDE/Qt purists.
* Custom controls for each webcam.
* Popup applet support (you can embed Webcamoid in the panel).
* Add funny effects to the webcam (requires Frei0r plugins and QImageBlitz).
* +60 effects available.
* Effects with live previews.
* Translated to many languages.
* Stand alone installation mode (use it as a normal program).
* Use custom network and local files as capture devices.
* Capture from desktop.

%package devel
Summary:        Development headers and libraries for Webcamoid
Group:          Development/Libraries
Requires:       %{name}

%description devel
Development headers and libraries for Webcamoid.
Avkys library provides a wide range of plugins for audio and
video playing, recording, capture, and processing.

%prep
%setup -q -n webcamoid-%{version}

%apply_patches

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%cmake -DCMAKE_INSTALL_DATAROOTDIR:PATH="/usr/share" \
	-DCMAKE_INSTALL_LIBDIR:PATH="/usr/lib64" -DCMAKE_VERBOSE_MAKEFILE:BOOL="1" \
	-DNOWASAPI:BOOL="1" -DCMAKE_INSTALL_BINDIR:PATH="/usr/bin" \
	-DDAILY_BUILD:BOOL="0" -DCMAKE_INSTALL_INCLUDEDIR:PATH="/usr/include" \
	-DCMAKE_INSTALL_LIBEXECDIR:PATH="/usr/libexec" \
	-DCMAKE_INSTALL_PREFIX:PATH="/usr" -DCMAKE_INSTALL_SYSCONFDIR:PATH="/etc" \
	-DCMAKE_INSTALL_OLDINCLUDEDIR:PATH="/usr/include" \
	-DCMAKE_INSTALL_SBINDIR:PATH="/usr/sbin" -DCMAKE_SKIP_RPATH:BOOL="1" \
	-DCMAKE_BUILD_TYPE:STRING="Release" 

%cmake_build

%install
%cmake_install 

##

#Help webcamoid find its library files in /usr/lib64/avkys
mkdir -p %{buildroot}/etc/ld.so.conf.d
install -m 0644 %SOURCE1 %{buildroot}/etc/ld.so.conf.d/%{name}.conf

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category='AudioVideo' \
  --remove-category='Player' \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop


%post
/sbin/ldconfig
update-desktop-database

%postun
/sbin/ldconfig
update-desktop-database


%files
%defattr(-,root,root)
%{_bindir}
%{_sysconfdir}
%{_datadir}
%{_libdir}/avkys/*.so
%{_libdir}/libavkys.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/libavkys.so


%changelog
* Mon Jun 06 2022 onkelho <oh.quait at gmail.com> - 9.0.0-1pclos2022
- new version
